## Paths

### create a Binding

    POST /api/v1/bindings

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Binding |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Binding

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list objects of kind ComponentStatus

    GET /api/v1/componentstatuses

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ComponentStatusList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind Endpoints

    GET /api/v1/endpoints

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.EndpointsList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Endpoints

    POST /api/v1/endpoints

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Endpoints |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Endpoints

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind Event

    GET /api/v1/events

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.EventList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Event

    POST /api/v1/events

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Event |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Event

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind LimitRange

    GET /api/v1/limitranges

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.LimitRangeList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a LimitRange

    POST /api/v1/limitranges

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.LimitRange |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.LimitRange

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind Namespace

    GET /api/v1/namespaces

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.NamespaceList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Namespace

    POST /api/v1/namespaces

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Namespace |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Namespace

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Binding

    POST /api/v1/namespaces/{namespace}/bindings

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Binding |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Binding

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list objects of kind ComponentStatus

    GET /api/v1/namespaces/{namespace}/componentstatuses

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ComponentStatusList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified ComponentStatus

    GET /api/v1/namespaces/{namespace}/componentstatuses/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ComponentStatus | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ComponentStatus

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind Endpoints

    GET /api/v1/namespaces/{namespace}/endpoints

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.EndpointsList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Endpoints

    POST /api/v1/namespaces/{namespace}/endpoints

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Endpoints |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Endpoints

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified Endpoints

    GET /api/v1/namespaces/{namespace}/endpoints/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Endpoints | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Endpoints

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified Endpoints

    PUT /api/v1/namespaces/{namespace}/endpoints/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Endpoints |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Endpoints | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Endpoints

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a Endpoints

    DELETE /api/v1/namespaces/{namespace}/endpoints/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Endpoints | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified Endpoints

    PATCH /api/v1/namespaces/{namespace}/endpoints/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Endpoints | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Endpoints

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind Event

    GET /api/v1/namespaces/{namespace}/events

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.EventList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Event

    POST /api/v1/namespaces/{namespace}/events

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Event |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Event

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified Event

    GET /api/v1/namespaces/{namespace}/events/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Event | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Event

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified Event

    PUT /api/v1/namespaces/{namespace}/events/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Event |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Event | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Event

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a Event

    DELETE /api/v1/namespaces/{namespace}/events/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Event | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified Event

    PATCH /api/v1/namespaces/{namespace}/events/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Event | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Event

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind LimitRange

    GET /api/v1/namespaces/{namespace}/limitranges

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.LimitRangeList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a LimitRange

    POST /api/v1/namespaces/{namespace}/limitranges

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.LimitRange |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.LimitRange

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified LimitRange

    GET /api/v1/namespaces/{namespace}/limitranges/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the LimitRange | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.LimitRange

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified LimitRange

    PUT /api/v1/namespaces/{namespace}/limitranges/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.LimitRange |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the LimitRange | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.LimitRange

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a LimitRange

    DELETE /api/v1/namespaces/{namespace}/limitranges/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the LimitRange | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified LimitRange

    PATCH /api/v1/namespaces/{namespace}/limitranges/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the LimitRange | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.LimitRange

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind PersistentVolumeClaim

    GET /api/v1/namespaces/{namespace}/persistentvolumeclaims

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolumeClaimList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a PersistentVolumeClaim

    POST /api/v1/namespaces/{namespace}/persistentvolumeclaims

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.PersistentVolumeClaim |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolumeClaim

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified PersistentVolumeClaim

    GET /api/v1/namespaces/{namespace}/persistentvolumeclaims/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the PersistentVolumeClaim | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolumeClaim

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified PersistentVolumeClaim

    PUT /api/v1/namespaces/{namespace}/persistentvolumeclaims/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.PersistentVolumeClaim |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the PersistentVolumeClaim | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolumeClaim

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a PersistentVolumeClaim

    DELETE /api/v1/namespaces/{namespace}/persistentvolumeclaims/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the PersistentVolumeClaim | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified PersistentVolumeClaim

    PATCH /api/v1/namespaces/{namespace}/persistentvolumeclaims/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the PersistentVolumeClaim | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolumeClaim

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### replace status of the specified PersistentVolumeClaim

    PUT /api/v1/namespaces/{namespace}/persistentvolumeclaims/{name}/status

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.PersistentVolumeClaim |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the PersistentVolumeClaim | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolumeClaim

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind Pod

    GET /api/v1/namespaces/{namespace}/pods

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PodList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Pod

    POST /api/v1/namespaces/{namespace}/pods

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Pod |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Pod

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified Pod

    GET /api/v1/namespaces/{namespace}/pods/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Pod

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified Pod

    PUT /api/v1/namespaces/{namespace}/pods/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Pod |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Pod

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a Pod

    DELETE /api/v1/namespaces/{namespace}/pods/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified Pod

    PATCH /api/v1/namespaces/{namespace}/pods/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Pod

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### create binding of a Binding

    POST /api/v1/namespaces/{namespace}/pods/{name}/binding

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Binding |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Binding | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Binding

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### connect GET requests to exec of Pod

    GET /api/v1/namespaces/{namespace}/pods/{name}/exec

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### connect POST requests to exec of Pod

    POST /api/v1/namespaces/{namespace}/pods/{name}/exec

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### read log of the specified Pod

    GET /api/v1/namespaces/{namespace}/pods/{name}/log

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Pod

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### connect GET requests to portforward of Pod

    GET /api/v1/namespaces/{namespace}/pods/{name}/portforward

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### connect POST requests to portforward of Pod

    POST /api/v1/namespaces/{namespace}/pods/{name}/portforward

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### connect GET requests to proxy of Pod

    GET /api/v1/namespaces/{namespace}/pods/{name}/proxy

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### connect PUT requests to proxy of Pod

    PUT /api/v1/namespaces/{namespace}/pods/{name}/proxy

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### connect DELETE requests to proxy of Pod

    DELETE /api/v1/namespaces/{namespace}/pods/{name}/proxy

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### connect POST requests to proxy of Pod

    POST /api/v1/namespaces/{namespace}/pods/{name}/proxy

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### connect GET requests to proxy of Pod

    GET /api/v1/namespaces/{namespace}/pods/{name}/proxy/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### connect PUT requests to proxy of Pod

    PUT /api/v1/namespaces/{namespace}/pods/{name}/proxy/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### connect DELETE requests to proxy of Pod

    DELETE /api/v1/namespaces/{namespace}/pods/{name}/proxy/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### connect POST requests to proxy of Pod

    POST /api/v1/namespaces/{namespace}/pods/{name}/proxy/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### replace status of the specified Pod

    PUT /api/v1/namespaces/{namespace}/pods/{name}/status

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Pod |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Pod

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind PodTemplate

    GET /api/v1/namespaces/{namespace}/podtemplates

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PodTemplateList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a PodTemplate

    POST /api/v1/namespaces/{namespace}/podtemplates

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.PodTemplate |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PodTemplate

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified PodTemplate

    GET /api/v1/namespaces/{namespace}/podtemplates/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the PodTemplate | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PodTemplate

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified PodTemplate

    PUT /api/v1/namespaces/{namespace}/podtemplates/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.PodTemplate |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the PodTemplate | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PodTemplate

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a PodTemplate

    DELETE /api/v1/namespaces/{namespace}/podtemplates/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the PodTemplate | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified PodTemplate

    PATCH /api/v1/namespaces/{namespace}/podtemplates/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the PodTemplate | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PodTemplate

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind ReplicationController

    GET /api/v1/namespaces/{namespace}/replicationcontrollers

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ReplicationControllerList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a ReplicationController

    POST /api/v1/namespaces/{namespace}/replicationcontrollers

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.ReplicationController |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ReplicationController

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified ReplicationController

    GET /api/v1/namespaces/{namespace}/replicationcontrollers/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ReplicationController | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ReplicationController

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified ReplicationController

    PUT /api/v1/namespaces/{namespace}/replicationcontrollers/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.ReplicationController |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ReplicationController | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ReplicationController

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a ReplicationController

    DELETE /api/v1/namespaces/{namespace}/replicationcontrollers/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ReplicationController | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified ReplicationController

    PATCH /api/v1/namespaces/{namespace}/replicationcontrollers/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ReplicationController | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ReplicationController

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind ResourceQuota

    GET /api/v1/namespaces/{namespace}/resourcequotas

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ResourceQuotaList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a ResourceQuota

    POST /api/v1/namespaces/{namespace}/resourcequotas

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.ResourceQuota |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ResourceQuota

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified ResourceQuota

    GET /api/v1/namespaces/{namespace}/resourcequotas/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ResourceQuota | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ResourceQuota

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified ResourceQuota

    PUT /api/v1/namespaces/{namespace}/resourcequotas/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.ResourceQuota |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ResourceQuota | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ResourceQuota

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a ResourceQuota

    DELETE /api/v1/namespaces/{namespace}/resourcequotas/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ResourceQuota | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified ResourceQuota

    PATCH /api/v1/namespaces/{namespace}/resourcequotas/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ResourceQuota | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ResourceQuota

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### replace status of the specified ResourceQuota

    PUT /api/v1/namespaces/{namespace}/resourcequotas/{name}/status

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.ResourceQuota |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ResourceQuota | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ResourceQuota

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind Secret

    GET /api/v1/namespaces/{namespace}/secrets

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.SecretList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Secret

    POST /api/v1/namespaces/{namespace}/secrets

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Secret |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Secret

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified Secret

    GET /api/v1/namespaces/{namespace}/secrets/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Secret | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Secret

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified Secret

    PUT /api/v1/namespaces/{namespace}/secrets/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Secret |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Secret | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Secret

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a Secret

    DELETE /api/v1/namespaces/{namespace}/secrets/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Secret | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified Secret

    PATCH /api/v1/namespaces/{namespace}/secrets/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Secret | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Secret

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind ServiceAccount

    GET /api/v1/namespaces/{namespace}/serviceaccounts

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ServiceAccountList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a ServiceAccount

    POST /api/v1/namespaces/{namespace}/serviceaccounts

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.ServiceAccount |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ServiceAccount

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified ServiceAccount

    GET /api/v1/namespaces/{namespace}/serviceaccounts/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ServiceAccount | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ServiceAccount

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified ServiceAccount

    PUT /api/v1/namespaces/{namespace}/serviceaccounts/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.ServiceAccount |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ServiceAccount | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ServiceAccount

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a ServiceAccount

    DELETE /api/v1/namespaces/{namespace}/serviceaccounts/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ServiceAccount | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified ServiceAccount

    PATCH /api/v1/namespaces/{namespace}/serviceaccounts/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ServiceAccount | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ServiceAccount

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind Service

    GET /api/v1/namespaces/{namespace}/services

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ServiceList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Service

    POST /api/v1/namespaces/{namespace}/services

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Service |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Service

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified Service

    GET /api/v1/namespaces/{namespace}/services/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Service

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified Service

    PUT /api/v1/namespaces/{namespace}/services/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Service |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Service

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a Service

    DELETE /api/v1/namespaces/{namespace}/services/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified Service

    PATCH /api/v1/namespaces/{namespace}/services/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Service

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### read the specified Namespace

    GET /api/v1/namespaces/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | name | name of the Namespace | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Namespace

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified Namespace

    PUT /api/v1/namespaces/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Namespace |
PathParameter | name | name of the Namespace | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Namespace

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a Namespace

    DELETE /api/v1/namespaces/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | name | name of the Namespace | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified Namespace

    PATCH /api/v1/namespaces/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | name | name of the Namespace | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Namespace

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### replace finalize of the specified Namespace

    PUT /api/v1/namespaces/{name}/finalize

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Namespace |
PathParameter | name | name of the Namespace | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Namespace

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace status of the specified Namespace

    PUT /api/v1/namespaces/{name}/status

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Namespace |
PathParameter | name | name of the Namespace | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Namespace

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind Node

    GET /api/v1/nodes

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.NodeList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Node

    POST /api/v1/nodes

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Node |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Node

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified Node

    GET /api/v1/nodes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | name | name of the Node | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Node

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified Node

    PUT /api/v1/nodes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Node |
PathParameter | name | name of the Node | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Node

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a Node

    DELETE /api/v1/nodes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | name | name of the Node | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified Node

    PATCH /api/v1/nodes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | name | name of the Node | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Node

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### replace status of the specified Node

    PUT /api/v1/nodes/{name}/status

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Node |
PathParameter | name | name of the Node | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Node

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind PersistentVolumeClaim

    GET /api/v1/persistentvolumeclaims

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolumeClaimList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a PersistentVolumeClaim

    POST /api/v1/persistentvolumeclaims

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.PersistentVolumeClaim |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolumeClaim

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind PersistentVolume

    GET /api/v1/persistentvolumes

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolumeList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a PersistentVolume

    POST /api/v1/persistentvolumes

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.PersistentVolume |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolume

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### read the specified PersistentVolume

    GET /api/v1/persistentvolumes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
PathParameter | name | name of the PersistentVolume | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolume

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### replace the specified PersistentVolume

    PUT /api/v1/persistentvolumes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.PersistentVolume |
PathParameter | name | name of the PersistentVolume | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolume

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### delete a PersistentVolume

    DELETE /api/v1/persistentvolumes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.DeleteOptions |
PathParameter | name | name of the PersistentVolume | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Status

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### partially update the specified PersistentVolume

    PATCH /api/v1/persistentvolumes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | api.Patch |
PathParameter | name | name of the PersistentVolume | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolume

#### Consumes

- application/json-patch+json

- application/merge-patch+json

- application/strategic-merge-patch+json

#### Produces

- application/json

#### Tags

- apiv1

### replace status of the specified PersistentVolume

    PUT /api/v1/persistentvolumes/{name}/status

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.PersistentVolume |
PathParameter | name | name of the PersistentVolume | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PersistentVolume

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind Pod

    GET /api/v1/pods

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PodList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Pod

    POST /api/v1/pods

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Pod |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Pod

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind PodTemplate

    GET /api/v1/podtemplates

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PodTemplateList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a PodTemplate

    POST /api/v1/podtemplates

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.PodTemplate |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.PodTemplate

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### proxy GET requests to Pod

    GET /api/v1/proxy/namespaces/{namespace}/pods/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy PUT requests to Pod

    PUT /api/v1/proxy/namespaces/{namespace}/pods/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy DELETE requests to Pod

    DELETE /api/v1/proxy/namespaces/{namespace}/pods/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy POST requests to Pod

    POST /api/v1/proxy/namespaces/{namespace}/pods/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy GET requests to Pod

    GET /api/v1/proxy/namespaces/{namespace}/pods/{name}/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy PUT requests to Pod

    PUT /api/v1/proxy/namespaces/{namespace}/pods/{name}/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy DELETE requests to Pod

    DELETE /api/v1/proxy/namespaces/{namespace}/pods/{name}/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy POST requests to Pod

    POST /api/v1/proxy/namespaces/{namespace}/pods/{name}/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy GET requests to Service

    GET /api/v1/proxy/namespaces/{namespace}/services/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy PUT requests to Service

    PUT /api/v1/proxy/namespaces/{namespace}/services/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy DELETE requests to Service

    DELETE /api/v1/proxy/namespaces/{namespace}/services/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy POST requests to Service

    POST /api/v1/proxy/namespaces/{namespace}/services/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy GET requests to Service

    GET /api/v1/proxy/namespaces/{namespace}/services/{name}/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy PUT requests to Service

    PUT /api/v1/proxy/namespaces/{namespace}/services/{name}/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy DELETE requests to Service

    DELETE /api/v1/proxy/namespaces/{namespace}/services/{name}/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy POST requests to Service

    POST /api/v1/proxy/namespaces/{namespace}/services/{name}/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy GET requests to Node

    GET /api/v1/proxy/nodes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | name | name of the Node | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy PUT requests to Node

    PUT /api/v1/proxy/nodes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | name | name of the Node | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy DELETE requests to Node

    DELETE /api/v1/proxy/nodes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | name | name of the Node | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy POST requests to Node

    POST /api/v1/proxy/nodes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | name | name of the Node | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy GET requests to Node

    GET /api/v1/proxy/nodes/{name}/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | name | name of the Node | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy PUT requests to Node

    PUT /api/v1/proxy/nodes/{name}/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | name | name of the Node | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy DELETE requests to Node

    DELETE /api/v1/proxy/nodes/{name}/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | name | name of the Node | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### proxy POST requests to Node

    POST /api/v1/proxy/nodes/{name}/{path:*}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
PathParameter | name | name of the Node | true | string |
PathParameter | path:* | path to the resource | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
default | success | string

#### Consumes

- /

#### Produces

- /

#### Tags

- apiv1

### list or watch objects of kind ReplicationController

    GET /api/v1/replicationcontrollers

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ReplicationControllerList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a ReplicationController

    POST /api/v1/replicationcontrollers

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.ReplicationController |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ReplicationController

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind ResourceQuota

    GET /api/v1/resourcequotas

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ResourceQuotaList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a ResourceQuota

    POST /api/v1/resourcequotas

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.ResourceQuota |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ResourceQuota

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind Secret

    GET /api/v1/secrets

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.SecretList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Secret

    POST /api/v1/secrets

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Secret |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Secret

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind ServiceAccount

    GET /api/v1/serviceaccounts

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ServiceAccountList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a ServiceAccount

    POST /api/v1/serviceaccounts

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.ServiceAccount |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ServiceAccount

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### list or watch objects of kind Service

    GET /api/v1/services

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.ServiceList

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### create a Service

    POST /api/v1/services

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
BodyParameter | body |  | true | v1.Service |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | v1.Service

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of Endpoints

    GET /api/v1/watch/endpoints

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of Event

    GET /api/v1/watch/events

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of LimitRange

    GET /api/v1/watch/limitranges

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of Namespace

    GET /api/v1/watch/namespaces

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of Endpoints

    GET /api/v1/watch/namespaces/{namespace}/endpoints

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind Endpoints

    GET /api/v1/watch/namespaces/{namespace}/endpoints/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Endpoints | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of Event

    GET /api/v1/watch/namespaces/{namespace}/events

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind Event

    GET /api/v1/watch/namespaces/{namespace}/events/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Event | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of LimitRange

    GET /api/v1/watch/namespaces/{namespace}/limitranges

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind LimitRange

    GET /api/v1/watch/namespaces/{namespace}/limitranges/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the LimitRange | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of PersistentVolumeClaim

    GET /api/v1/watch/namespaces/{namespace}/persistentvolumeclaims

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind PersistentVolumeClaim

    GET /api/v1/watch/namespaces/{namespace}/persistentvolumeclaims/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the PersistentVolumeClaim | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of Pod

    GET /api/v1/watch/namespaces/{namespace}/pods

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind Pod

    GET /api/v1/watch/namespaces/{namespace}/pods/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Pod | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of PodTemplate

    GET /api/v1/watch/namespaces/{namespace}/podtemplates

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind PodTemplate

    GET /api/v1/watch/namespaces/{namespace}/podtemplates/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the PodTemplate | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of ReplicationController

    GET /api/v1/watch/namespaces/{namespace}/replicationcontrollers

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind ReplicationController

    GET /api/v1/watch/namespaces/{namespace}/replicationcontrollers/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ReplicationController | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of ResourceQuota

    GET /api/v1/watch/namespaces/{namespace}/resourcequotas

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind ResourceQuota

    GET /api/v1/watch/namespaces/{namespace}/resourcequotas/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ResourceQuota | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of Secret

    GET /api/v1/watch/namespaces/{namespace}/secrets

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind Secret

    GET /api/v1/watch/namespaces/{namespace}/secrets/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Secret | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of ServiceAccount

    GET /api/v1/watch/namespaces/{namespace}/serviceaccounts

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind ServiceAccount

    GET /api/v1/watch/namespaces/{namespace}/serviceaccounts/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the ServiceAccount | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of Service

    GET /api/v1/watch/namespaces/{namespace}/services

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind Service

    GET /api/v1/watch/namespaces/{namespace}/services/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | namespace | object name and auth scope, such as for teams and projects | true | string |
PathParameter | name | name of the Service | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind Namespace

    GET /api/v1/watch/namespaces/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | name | name of the Namespace | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of Node

    GET /api/v1/watch/nodes

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind Node

    GET /api/v1/watch/nodes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | name | name of the Node | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of PersistentVolumeClaim

    GET /api/v1/watch/persistentvolumeclaims

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of PersistentVolume

    GET /api/v1/watch/persistentvolumes

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch changes to an object of kind PersistentVolume

    GET /api/v1/watch/persistentvolumes/{name}

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |
PathParameter | name | name of the PersistentVolume | true | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of Pod

    GET /api/v1/watch/pods

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of PodTemplate

    GET /api/v1/watch/podtemplates

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of ReplicationController

    GET /api/v1/watch/replicationcontrollers

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of ResourceQuota

    GET /api/v1/watch/resourcequotas

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of Secret

    GET /api/v1/watch/secrets

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of ServiceAccount

    GET /api/v1/watch/serviceaccounts

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1

### watch individual changes to a list of Service

    GET /api/v1/watch/services

#### Parameters

Type | Name | Description | Required | Schema | Default
--- | --- | --- | --- | --- | ---
QueryParameter | pretty | If true, then the output is pretty printed. | false | string |
QueryParameter | labelSelector | a selector to restrict the list of returned objects by their labels; defaults to everything | false | string |
QueryParameter | fieldSelector | a selector to restrict the list of returned objects by their fields; defaults to everything | false | string |
QueryParameter | watch | watch for changes to the described resources and return them as a stream of add, update, and remove notifications; specify resourceVersion | false | boolean |
QueryParameter | resourceVersion | when specified with a watch call, shows changes that occur after that particular version of a resource; defaults to changes from the beginning of history | false | string |

#### Responses

HTTP Code | Description | Schema
--- | --- | ---
200 | success | json.WatchEvent

#### Consumes

- /

#### Produces

- application/json

#### Tags

- apiv1